Subject: Re: packages depending on latest gtk2 crash on Darwin
To: Mark E. Perkins <>
From: Matthias Scheler <>
List: pkgsrc-users
Date: 01/13/2007 17:10:26
On Sat, Jan 13, 2007 at 11:53:11AM -0500, Mark E. Perkins wrote:
> of which were also updated today) crash on start (oddly, wireshark does not
> crash).  The error printed is just "Bus error".  The top lines that may be
> useful from the crash log are:
> 	OS Version:     10.4.8 (Build 8L127)
> 	Report Version: 4

What architecture? Intel or Powerpc?

XChat linked against GTK+ built from recent pkgsrc works fine on my
Power Mac G5.

> Any clues as to what might be the source of the problem?

Which version of GCC is installed? Old versions of GCC distributed by
Apple (especially 4.0, they now use 4.0.1) had serious bugs. You can
download a new version of GCC from Apple as part of Xcode tools here:

	Kind regards

Matthias Scheler